Routing Queues
GET
/workspaces/{workspaceId}/inbox/routing-queues
Retrieve list of routing queues
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.workspaceId
string
obligatoire
results.name
string
obligatoire
results.description
string
obligatoire
results.priority
integer
obligatoire
results.teams
array of object
obligatoire
Afficher les attributs enfants
results.teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
results.teams.ids
array of string
obligatoire
List of Team IDs
results.queuedItems
object
Afficher les attributs enfants
results.queuedItems.email
array of object
Afficher les attributs enfants
results.queuedItems.email.rootItemId
string
obligatoire
results.queuedItems.email.capacityType
string
obligatoire
results.queuedItems.email.QueuedAt
string
obligatoire
results.queuedItems.messaging
array of object
Afficher les attributs enfants
results.queuedItems.messaging.rootItemId
string
obligatoire
results.queuedItems.messaging.capacityType
string
obligatoire
results.queuedItems.messaging.QueuedAt
string
obligatoire
results.queuedItems.voice
array of object
Afficher les attributs enfants
results.queuedItems.voice.rootItemId
string
obligatoire
results.queuedItems.voice.capacityType
string
obligatoire
results.queuedItems.voice.QueuedAt
string
obligatoire
results.createdAt
string
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/routing-queues
Create a new routing queue
Corps de la requête
name
string
obligatoire
description
string
priority
integer
obligatoire
teams
array of object
obligatoire
Afficher les paramètres enfants
teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatoire
List of Team IDs
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
priority
integer
obligatoire
teams
array of object
obligatoire
Afficher les attributs enfants
teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatoire
List of Team IDs
queuedItems
object
Afficher les attributs enfants
queuedItems.email
array of object
Afficher les attributs enfants
queuedItems.email.rootItemId
string
obligatoire
queuedItems.email.capacityType
string
obligatoire
queuedItems.email.QueuedAt
string
obligatoire
queuedItems.messaging
array of object
Afficher les attributs enfants
queuedItems.messaging.rootItemId
string
obligatoire
queuedItems.messaging.capacityType
string
obligatoire
queuedItems.messaging.QueuedAt
string
obligatoire
queuedItems.voice
array of object
Afficher les attributs enfants
queuedItems.voice.rootItemId
string
obligatoire
queuedItems.voice.capacityType
string
obligatoire
queuedItems.voice.QueuedAt
string
obligatoire
createdAt
string
updatedAt
string
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Retrieves Routing queue.
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
priority
integer
obligatoire
teams
array of object
obligatoire
Afficher les attributs enfants
teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatoire
List of Team IDs
queuedItems
object
Afficher les attributs enfants
queuedItems.email
array of object
Afficher les attributs enfants
queuedItems.email.rootItemId
string
obligatoire
queuedItems.email.capacityType
string
obligatoire
queuedItems.email.QueuedAt
string
obligatoire
queuedItems.messaging
array of object
Afficher les attributs enfants
queuedItems.messaging.rootItemId
string
obligatoire
queuedItems.messaging.capacityType
string
obligatoire
queuedItems.messaging.QueuedAt
string
obligatoire
queuedItems.voice
array of object
Afficher les attributs enfants
queuedItems.voice.rootItemId
string
obligatoire
queuedItems.voice.capacityType
string
obligatoire
queuedItems.voice.QueuedAt
string
obligatoire
createdAt
string
updatedAt
string
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Modify the details of a specific routing queue.
Corps de la requête
name
string
description
string
priority
integer
teams
array of object
Afficher les paramètres enfants
teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatoire
List of Team IDs
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
priority
integer
obligatoire
teams
array of object
obligatoire
Afficher les attributs enfants
teams.type
string
obligatoire
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatoire
List of Team IDs
queuedItems
object
Afficher les attributs enfants
queuedItems.email
array of object
Afficher les attributs enfants
queuedItems.email.rootItemId
string
obligatoire
queuedItems.email.capacityType
string
obligatoire
queuedItems.email.QueuedAt
string
obligatoire
queuedItems.messaging
array of object
Afficher les attributs enfants
queuedItems.messaging.rootItemId
string
obligatoire
queuedItems.messaging.capacityType
string
obligatoire
queuedItems.messaging.QueuedAt
string
obligatoire
queuedItems.voice
array of object
Afficher les attributs enfants
queuedItems.voice.rootItemId
string
obligatoire
queuedItems.voice.capacityType
string
obligatoire
queuedItems.voice.QueuedAt
string
obligatoire
createdAt
string
updatedAt
string
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Delete a Routing queue. Items on the queue will be un-queued, then queue will be deleted.
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'